Page MenuHomePhabricator

Explicitly create mediawiki_cirrussearch_frozen_indexes index from a maint script
Closed, ResolvedPublic

Description

Currently when running a write job on the job runners they check if this index exists, and create it if not. Not only is that wasteful of queries (always checking index exists) but it gives this index a different failure mode than everything else. Instead create the index explicitly from a maint script (maybe an option to freezeWritesToCluster.php, and make updateSearchIndexConfig.php call that)

Details

Related Gerrit Patches:
mediawiki/extensions/CirrusSearch : masterGeneralize mw_cirrus_versions into a multi-purpose meta index

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 27 2016, 6:02 PM
Restricted Application added a project: Discovery. · View Herald TranscriptApr 27 2016, 6:03 PM
Deskana triaged this task as Medium priority.May 5 2016, 10:20 PM
Deskana added a subscriber: Deskana.

What we've got in place right now is a temporary hack, so we should fix this properly.

Change 295242 had a related patch set uploaded (by DCausse):
[WIP] Generalize mw_cirrus_versions into a multi-purpose meta index

https://gerrit.wikimedia.org/r/295242

Change 295242 merged by jenkins-bot:
Generalize mw_cirrus_versions into a multi-purpose meta index

https://gerrit.wikimedia.org/r/295242

Will need to run the appropriate scripts in prod friday once deployed everywhere.

debt closed this task as Resolved.Jul 21 2016, 4:13 PM
debt added a subscriber: debt.

The metastore is now initialized everywhere